import { AdminTopPickService } from "./toppick.service";
import { CreateTopPickDto, UpdateStatusDto, UpdateTopPickDto } from "./toppick.dto";
export declare class AdminTopPickController {
    private readonly adminTopPickService;
    constructor(adminTopPickService: AdminTopPickService);
    create(CreateTopPickDto: CreateTopPickDto): Promise<{
        status: boolean;
        message: string;
    }>;
    findAll(): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/toppick/toppick.entity").Toppick[];
    }>;
    findOne(id: string): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/toppick/toppick.entity").Toppick;
    }>;
    update(id: string, UpdateTopPickDto: UpdateTopPickDto): Promise<{
        status: boolean;
        message: string;
    }>;
    remove(id: string): Promise<{
        status: boolean;
        message: string;
    }>;
    updateStatus(id: string, updateStatusDto: UpdateStatusDto): Promise<{
        status: boolean;
        message: string;
    }>;
}
